Download it now!
Bug 127120 - Double selecting of level in list in B&N dialog in Writer (gen)
Summary: Double selecting of level in list in B&N dialog in Writer (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2019-08-23 13:54 UTC by Roman Kuznetsov
Modified: 2020-01-21 22:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-08-23 13:54:39 UTC
Description:
Double selecting of level in list in B&N dialog in Writer

Follow from bug 125774. But I'm not sure its linked

Steps to Reproduce:
1. Open Writer
2. Select Format->Bullets & Numbering
3. Go to Position tab
4. Try select level in left list => we have double selecting and can't undo it

Actual Results:
we have double selecting in list

Expected Results:
we don't have double selecting in list


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ca6df519a78e5bfc96030c916f242b86306194e5
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

repro in 6.3.0.1 too

but not repro in 6.2.4 => regression
Comment 1 raal 2019-08-30 20:46:46 UTC
I can  confirm with Version: 6.4.0.0.alpha0+
Build ID: 654a1e6b3345d098e24dcdd0d81bb49add996d0b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11;
Comment 2 Xisco Faulí 2019-09-03 07:34:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=08127638744c66dc5feab5808ef51ce54f9155e1

author	Caolán McNamara <caolanm@redhat.com>	2019-04-02 12:42:55 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-02 17:11:56 +0200
commit	08127638744c66dc5feab5808ef51ce54f9155e1 (patch)
tree	0e48af0a5723bd17077db788819b65a7a18042a7
parent	33c1389a52be0e839584948be174ebed110522c5 (diff)
weld XMLFilterSettingsDialog

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2019-09-03 13:06:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6c8128532e5631702ed426ed664807d6e760e195%5E%21

Resolves: tdf#127120 double selection in B&N dialog

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-09-03 13:24:10 UTC
fixed in master, backport to 6-3 in gerrit
Comment 5 Xisco Faulí 2019-09-04 12:00:04 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e8b3df5b9b0eb0a93c25b6dc2e445ae44a7e3f78
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 6 Commit Notification 2019-09-04 12:04:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/de3933d0a5d37ea215dd16abd4aef0dd25b6c315%5E%21

Resolves: tdf#127120 double selection in B&N dialog

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.